dots.v2.images.byImage_id().actions.post()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.images.byImage_id(image_id).actions.post(body: Image_action_base | Image_action_transfer, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Action>

Description

The following actions are available on an Image.

Convert an Image to a Snapshot

To convert an image, for example, a backup to a snapshot, send a POST request to /v2/images/{image_id}/actions. Set the type attribute to convert.

Transfer an Image

To transfer an image to another region, send a POST request to /v2/images/{image_id}/actions. Set the type attribute to transfer and set region attribute to the slug identifier of the region you wish to transfer to.

Parameters

Path Parameters

image_id integer required

Example: 62137902

A unique number that can be used to identify and reference a specific image.

Request Body

image_action_base

type string required

The action to be taken on the image. Can be either convert or transfer.

One of: convert, transfer

image_action_transfer

type string required

The action to be taken on the image. Can be either convert or transfer.

One of: convert, transfer

region string required

The slug identifier for the region where the resource will initially be available.

One of: ams1, ams2, ams3, blr1, fra1, lon1, nyc1, nyc2, nyc3, sfo1, sfo2, sfo3, sgp1, tor1, syd1

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.images
    .byImage_id(62137902).actions.post({
    type: "convert",
});

Response Example

Show Response Example
{
  "action": {
    "id": 36805527,
    "status": "in-progress",
    "type": "transfer",
    "started_at": "2014-11-14T16:42:45Z",
    "completed_at": null,
    "resource_id": 7938269,
    "resource_type": "image",
    "region": {
      "name": "New York 3",
      "slug": "nyc3",
      "sizes": [
        "s-1vcpu-3gb",
        "m-1vcpu-8gb",
        "s-3vcpu-1gb",
        "s-1vcpu-2gb",
        "s-2vcpu-2gb",
        "s-2vcpu-4gb",
        "s-4vcpu-8gb",
        "s-6vcpu-16gb",
        "s-8vcpu-32gb",
        "s-12vcpu-48gb",
        "s-16vcpu-64gb",
        "s-20vcpu-96gb",
        "s-1vcpu-1gb",
        "c-1vcpu-2gb",
        "s-24vcpu-128gb"
      ],
      "features": [
        "private_networking",
        "backups",
        "ipv6",
        "metadata",
        "server_id",
        "install_agent",
        "storage",
        "image_transfer"
      ],
      "available": true
    },
    "region_slug": "nyc3"
  }
}

More Information

See /v2/images/{image_id}/actions in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.